# ns_firebase_utils

🦾 Set of methods/extensions for firebase that makes using framework in a much easier and clean way also adds additional functionality.

## Let's get started

1. Go to `pubspec.yaml` 
2. add a ns_firebase_utils and replace `[version]` with the latest version:  

```yaml
dependencies:
  flutter:
    sdk: flutter
  ns_firebase_utils: ^[version]
```
3. click the packages get button or *flutter pub get*  

## Import the package

```dart
import 'package:ns_firebase_utils/src.dart';
```

## What's in the box

 A single plugin to add all firebase dependencies at once.

```yaml
    firebase_core: ^1.19.2
    firebase_auth: ^3.4.2
    firebase_storage: ^10.3.2
    cloud_firestore: ^3.3.0
    cloud_functions: ^3.3.2
    firestore_ui: ^1.23.0
    firebase_analytics: ^9.2.0
    firebase_crashlytics: ^2.8.5
    firebase_dynamic_links: ^4.3.2
    firebase_remote_config: ^2.0.12
    firebase_messaging: ^12.0.0
    fake_cloud_firestore: ^1.2.4
```

 Along with awesome set of methods to help you develop faster.


## Contributing

<br>
<div align="center" >
  <p>Thanks to all contributors of this package</p>
  <a href="https://github.com/ProjectAJ14/ns_firebase_utils/graphs/contributors">
    <img src="https://contrib.rocks/image?repo=ProjectAJ14/ns_firebase_utils" />
  </a>
</div>
<br>

There are couple of ways in which you can contribute.
- Propose any feature, enhancement
- Report a bug
- Fix a bug
- Participate in a discussion and help in decision making
- Write and improve some **documentation**. Documentation is super critical and its importance
  cannot be overstated!
- Send in a Pull Request :-)